"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) { return; } var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var TouchUtil =
/*#__PURE__*/
function () {
  function TouchUtil() {
    _classCallCheck(this, TouchUtil);
  }

  _createClass(TouchUtil, [{
    key: "_getCoordinates",
    value: function _getCoordinates(e) {
      var _e$touches = _slicedToArray(e.touches, 1),
          touch = _e$touches[0];

      return {
        x: touch.clientX,
        y: touch.clientY
      };
    }
  }, {
    key: "_getDirection",
    value: function _getDirection(displacement) {
      return {
        x: {
          direction: displacement.x < 0 ? 'left' : 'right',
          value: Math.abs(displacement.x)
        },
        y: {
          direction: displacement.y < 0 ? 'up' : 'down',
          value: Math.abs(displacement.y)
        }
      };
    }
  }]);

  return TouchUtil;
}();

var _default = TouchUtil;
exports["default"] = _default;