"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

/* eslint-disable indent */
var columns = function columns(_columns, selectable, multi) {
  var checkboxHeader = multi ? "\n<th scope=\"col\">\n  <div class=\"form-check d-flex align-items-center mb-0\">\n    <input class=\"datatable-header-checkbox form-check-input\" type=\"checkbox\">\n  </div>\n</th>\n" : '<th scope="col"></th>';

  var headers = _columns.map(function (column, i) {
    var fixedOffset = column.fixed ? _columns.filter(function (cell, j) {
      return cell.fixed === column.fixed && j < i;
    }).reduce(function (a, b) {
      return a + b.width;
    }, 0) : null;
    return "<th style=\"".concat(column.fixed ? "".concat(column.fixed === 'right' ? 'right' : 'left', ": ").concat(fixedOffset, "px;") : '', "\" ").concat(column.fixed ? 'class="fixed-cell"' : '', " scope=\"col\">").concat(column.sort ? "<i data-sort=\"".concat(column.field, "\" class=\"datatable-sort-icon fas fa-arrow-up\"></i>") : '', " ").concat(column.label, "</th>");
  });

  return [selectable ? checkboxHeader : ''].concat(_toConsumableArray(headers)).join('\n');
};

var _default = columns;
exports["default"] = _default;