"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

/* eslint-disable indent */
var pagination = function pagination(_ref, loading) {
  var text = _ref.text,
      entries = _ref.entries,
      entriesOptions = _ref.entriesOptions,
      fullPagination = _ref.fullPagination,
      rowsText = _ref.rowsText;
  var options = entriesOptions.map(function (option) {
    return "<option value=\"".concat(option, "\" ").concat(option === entries ? 'selected' : '', ">").concat(option, "</option>");
  }).join('\n');
  return "\n<div class=\"datatable-pagination\">\n  <div class=\"datatable-select-wrapper\">\n    <p class=\"datatable-select-text\">".concat(rowsText, "</p>\n    <select name=\"entries\" ").concat(loading ? 'data-disabled="true"' : '', " class=\"datatable-select select\">\n      ").concat(options, "\n    </select>\n  </div>\n  <div class=\"datatable-pagination-nav\">\n  ").concat(text, "\n  </div>\n  <div class=\"datatable-pagination-buttons\">\n    ").concat(fullPagination ? '<button data-ripple-color="dark" class="btn btn-link datatable-pagination-button datatable-pagination-start"><i class="fa fa-angle-double-left"></i></button>' : '', "\n    <button data-ripple-color=\"dark\" class=\"btn btn-link datatable-pagination-button datatable-pagination-left\"><i class=\"fa fa-chevron-left\"></i></button>\n    <button data-ripple-color=\"dark\" class=\"btn btn-link datatable-pagination-button datatable-pagination-right\"><i class=\"fa fa-chevron-right\"></i></button>\n    ").concat(fullPagination ? '<button data-ripple-color="dark" class="btn btn-link datatable-pagination-button datatable-pagination-end"><i class="fa fa-angle-double-right"></i></button>' : '', "\n  </div>\n</div>\n");
};

var _default = pagination;
exports["default"] = _default;