"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBackdropTemplate = getBackdropTemplate;

var _manipulator = _interopRequireDefault(require("../../mdb/dom/manipulator"));

var _index = require("../../mdb/util/index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint-disable import/prefer-default-export */
function getBackdropTemplate(_ref) {
  var backdropID = _ref.backdropID,
      backdropOpacity = _ref.backdropOpacity,
      backdropColor = _ref.backdropColor;
  var backdrop = (0, _index.element)('div');

  _manipulator["default"].addClass(backdrop, 'loading-backdrop');

  backdrop.id = backdropID;

  _manipulator["default"].addStyle(backdrop, {
    opacity: backdropOpacity,
    backgroundColor: backdropColor
  });

  return backdrop;
}